###########################################
## Main file to call all other functions ##
###########################################

rm(list = ls())
set.seed(12345)

# set working directory 
# setwd("...") 

library(grf)
library(glmnet)
library(ggplot2)
library(BART)
library(xgboost)
library(rlearner)
library(hte)
packageVersion("hte")
library(dplyr)
library(splines)

# Efficient.run runs fewer repetitions and leaves out the largest dimensions and sample sizes.
efficient.run = FALSE

# To replicate results and get best XGB performance, set to TRUE
# Please note than when set to TRUE, code will take FAR longer to run, compared to tuning other methods. 
full.xgb.tune = FALSE

# Users can set num.reps and control more specifically in "efficiency_controls.R"
source("efficiency_controls.R")

source("bias_image.R") 
source("split_images.R")
source("causal_table.R")  
source("boundary_bias_table.R") 
source("friedman_table.R") 
source("welfare_example.R")
source("wages.R") 
